import { RestService } from '@fly-vue/core';
export declare class AicService extends RestService {
    constructor(config?: any);
    /**
     * 申请开通服务
     * @param data 申请单数据
     * @param config 请求配置
     */
    applyService(data: any, config?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     * 获取当前服务信息
     */
    localServiceInfo(): Promise<import("axios").AxiosResponse<any>>;
    /**
     * 根据Code获取平台上已注册的服务详情
     */
    findServiceByCode(code: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     * 根据Id获取服务详情
     * @param id 服务Id
     */
    findServiceById(id: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     * 平台中，我的应用列表
     */
    myApps(params?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     * 平台中，我的应用列表
     */
    myProjects(params?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     * 根据Id获取应用详情
     * @param id 应用Id
     */
    findAppById(id: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     * 根据Id获取业务系统详情
     * @param id 业务系统Id
     */
    findProjectById(id: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     * 查询指定业务系统下的应用
     * @param projectId 业务系统Id
     * @param params
     */
    projectApps(projectId: any, params?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     * 服务服务的已授权列表
     * @param serviceId 服务ID
     */
    serviceAuthorizations(serviceId: any): Promise<import("axios").AxiosResponse<any>>;
    abortAuth(id: any): Promise<import("axios").AxiosResponse<any>>;
    syncUser(userId: any): Promise<import("axios").AxiosResponse<any>>;
    servicePublished(id: any, config: any): Promise<import("axios").AxiosResponse<any>>;
    getAllPublish(options: any): Promise<import("axios").AxiosResponse<any>>;
    queryMarket(options: any): Promise<import("axios").AxiosResponse<any>>;
    catalogTree(params: any, config: any): Promise<import("axios").AxiosResponse<any>>;
    getServiceById(id: any, config: any): Promise<import("axios").AxiosResponse<any>>;
    queryServiceAgreement(options: any, config: any): Promise<import("axios").AxiosResponse<any>>;
    getScopeKindComponents(params: any): Promise<import("axios").AxiosResponse<any>>;
    getScopeComponents(params: any): Promise<import("axios").AxiosResponse<any>>;
}
